Cool VL Viewer forum

View unanswered posts | View active topics It is currently 2021-10-23 08:21:51



Reply to topic  [ 2 posts ] 
WARNING: upcoming increase in minimum system requirements 
Author Message

Joined: 2009-03-17 18:42:51
Posts: 4751
Reply with quote
For many years now (since meshes have been supported in SL), the minimum viewer requirement for the CPU has been an SSE2-capable one.

This is going to change soon and the viewer (or more exactly its web plugin) will require the SSE3 instruction set to be supported by the CPU. This is because of a change in Chromium 89 that imposes SSE3.

I will keep CEF 88 in the viewer for now, but this will have to change one day or another, especially if (or rather when, since it's just a question of time), a security hole is found in CEF 88 and plugged only in newer versions. I might keep an option to build the viewer against CEF 88, even after a newer version will be used in official builds, but here again, this will not last forever.

Affected computers are the ones equipped with a Pentium 4 (before Prescott) or older and Athlon64 (before Venice) or older CPU. Intel started shipping SSE3-capable CPUs from mid-2004 and AMD from mid-2005.


2021-03-04 10:48:15
Profile WWW

Joined: 2009-03-17 18:42:51
Posts: 4751
Reply with quote
Migration to CEF 89 occurred. Since no one reacted to this post, I assumed no one cares.


2021-05-23 11:06:44
Profile WWW
Display posts from previous:  Sort by  
Reply to topic   [ 2 posts ] 

Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group
Designed by ST Software.